Bug Hunting Session
Bug 72142 - Default Application Background is too much bright!
Summary: Default Application Background is too much bright!
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: Other Mac OS X (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-11-29 07:31 UTC by Emir Sarı (away)
Modified: 2014-05-27 06:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Current background (84.31 KB, image/jpeg)
2013-11-29 07:33 UTC, Emir Sarı (away)
Details
Better view with a darker background (84.96 KB, image/png)
2013-11-29 07:34 UTC, Emir Sarı (away)
Details
How should it be (1) - Word (121.12 KB, image/png)
2013-11-29 07:37 UTC, Emir Sarı (away)
Details
How should it be (2) - Pages (78.95 KB, image/png)
2013-11-29 07:38 UTC, Emir Sarı (away)
Details
How should it be (3) - Bean (215.73 KB, image/png)
2013-11-29 07:38 UTC, Emir Sarı (away)
Details
How it could be (1) - Darker Theme (351.51 KB, image/png)
2014-01-22 12:19 UTC, Armandos
Details
SS after fix (132.94 KB, image/png)
2014-04-30 10:24 UTC, Emir Sarı (away)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2013-11-29 07:31:23 UTC
The new application background included in LibreOffice 3.6 Mac version is too much bright and this causes eyestrain, and gives an unprofessional look. 

Attaching screenshot and marking this as regression.
Comment 1 Emir Sarı (away) 2013-11-29 07:33:58 UTC
Created attachment 89976 [details]
Current background
Comment 2 Emir Sarı (away) 2013-11-29 07:34:36 UTC
Created attachment 89977 [details]
Better view with a darker background
Comment 3 Emir Sarı (away) 2013-11-29 07:37:37 UTC
Created attachment 89978 [details]
How should it be (1) - Word
Comment 4 Emir Sarı (away) 2013-11-29 07:38:05 UTC
Created attachment 89979 [details]
How should it be (2) - Pages
Comment 5 Emir Sarı (away) 2013-11-29 07:38:49 UTC
Created attachment 89980 [details]
How should it be (3) - Bean
Comment 6 Emir Sarı (away) 2013-11-29 07:42:52 UTC
I am sorry to say that but these changes along with Bug 57433 are meant to be enhancements, but in fact they are regressions which contains severe conflicts with decent, basic UI-UX design.
Comment 7 Armandos 2014-01-22 12:19:04 UTC
Created attachment 92578 [details]
How it could be (1) - Darker Theme

Something like this darker theme could also be added as one of the default. What do you think?

That, coupled with the layout you have for the toolbars, or even removing the formatting toolbar and using the sidebar (as I suggested here: https://bugs.freedesktop.org/show_bug.cgi?id=73889), would help LibreOffice truly stand out in UI/UX terms.

Why change the icons just a little bit, play with the colours always back and forth just so the change log in UI looks fuller?
Comment 8 Armandos 2014-01-22 12:19:54 UTC
Too much white can be overwhelming to the eye anyway.
Comment 9 retired 2014-01-23 07:38:55 UTC
+1 absolutely agree. Look at Photoshop and many other applications going very dark concerning their UI. And there's a simple reason: it's much easier on the eyes. -> NEW
Comment 10 Commit Notification 2014-04-29 14:25:43 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68075a61c28a5c72429f78776a822ed45fdcb4a7

Resolves: fdo#72142 darker default workspace color



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Emir Sarı (away) 2014-04-30 10:24:01 UTC
Created attachment 98231 [details]
SS after fix

Thank you Caolan for fixing this, however one small issue remains:

As seen on the screenshot, the ruler background has also changed, thus making the rulers unreadable on the margins. It would be better if the rulers section would be a lighter grey, making it more readable. 

Anyway, thank you very much for the fix! Really appreciated.
Comment 12 Commit Notification 2014-04-30 16:12:54 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cbb9efa642ec3a7418136547c04eb2455ba1c821

Related: fdo#72142 lighter ruler default color



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Emir Sarı (away) 2014-05-01 11:34:42 UTC
Ruler toggles remained the same colour after the latest fix, but I think that's okay.

Marking as VERIFIED FIXED.

Thank your very much Caolan!